# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( toolbar )
add_subdirectory( bitmaps )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kenolaba (executable) #####################

tde_add_executable( kenolaba AUTOMOC
  SOURCES Board.cpp Move.cpp BoardWidget.cpp AbTop.cpp kenolaba.cpp Spy.cpp
    Ball.cpp Network.cpp EvalDlg.ui EvalDlgImpl.cpp EvalScheme.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kenolaba )


##### other data ################################

install( FILES kenolabaui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kenolaba
)

tde_create_translated_desktop( kenolaba.desktop )
